Package fr.gouv.vitam.common.server.application.junit

# Class AsyncResponseJunitTest

java.lang.Object
fr.gouv.vitam.common.server.application.junit.AsyncResponseJunitTest

All Implemented Interfaces:
  `jakarta.ws.rs.container.AsyncResponse`

public class AsyncResponseJunitTest extends Object implements jakarta.ws.rs.container.AsyncResponse
Minimal implementation for AsyncResponse Tests in Junit

- ## Field Summary

  ### Fields inherited from interface jakarta.ws.rs.container.AsyncResponse

  `NO_TIMEOUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AsyncResponseJunitTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `cancel()`
  `boolean`
  `cancel(int retryAfter)`
  `boolean`
  `cancel(Date retryAfter)`
  `Object`
  `getResponse()`
  `boolean`
  `isCancelled()`
  `boolean`
  `isDone()`
  `boolean`
  `isSuspended()`
  `Collection<Class<?>>`
  `register(Class<?> callback)`
  `Map<Class<?>,Collection<Class<?>>>`
  `register(Class<?> callback, Class<?>... callbacks)`
  `Collection<Class<?>>`
  `register(Object callback)`
  `Map<Class<?>,Collection<Class<?>>>`
  `register(Object callback, Object... callbacks)`
  `boolean`
  `resume(Object response)`
  `boolean`
  `resume(Throwable response)`
  `boolean`
  `setTimeout(long time, TimeUnit unit)`
  `void`
  `setTimeoutHandler(jakarta.ws.rs.container.TimeoutHandler handler)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AsyncResponseJunitTest

    public AsyncResponseJunitTest()

- ## Method Details

  - ### resume

    public boolean resume(Object response)
    Specified by:
      `resume` in interface `jakarta.ws.rs.container.AsyncResponse`

  - ### getResponse

    public Object getResponse()

  - ### resume

    public boolean resume(Throwable response)
    Specified by:
      `resume` in interface `jakarta.ws.rs.container.AsyncResponse`

  - ### cancel

    public boolean cancel()
    Specified by:
      `cancel` in interface `jakarta.ws.rs.container.AsyncResponse`

  - ### cancel

    public boolean cancel(int retryAfter)
    Specified by:
      `cancel` in interface `jakarta.ws.rs.container.AsyncResponse`

  - ### cancel

    public boolean cancel(Date retryAfter)
    Specified by:
      `cancel` in interface `jakarta.ws.rs.container.AsyncResponse`

  - ### isSuspended

    public boolean isSuspended()
    Specified by:
      `isSuspended` in interface `jakarta.ws.rs.container.AsyncResponse`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `jakarta.ws.rs.container.AsyncResponse`

  - ### isDone

    public boolean isDone()
    Specified by:
      `isDone` in interface `jakarta.ws.rs.container.AsyncResponse`

  - ### setTimeout

    public boolean setTimeout(long time, TimeUnit unit)
    Specified by:
      `setTimeout` in interface `jakarta.ws.rs.container.AsyncResponse`

  - ### setTimeoutHandler

    public void setTimeoutHandler(jakarta.ws.rs.container.TimeoutHandler handler)
    Specified by:
      `setTimeoutHandler` in interface `jakarta.ws.rs.container.AsyncResponse`

  - ### register

    public Collection<Class<?>> register(Class<?> callback)
    Specified by:
      `register` in interface `jakarta.ws.rs.container.AsyncResponse`

  - ### register

    public Map<Class<?>,Collection<Class<?>>> register(Class<?> callback, Class<?>... callbacks)
    Specified by:
      `register` in interface `jakarta.ws.rs.container.AsyncResponse`

  - ### register

    public Collection<Class<?>> register(Object callback)
    Specified by:
      `register` in interface `jakarta.ws.rs.container.AsyncResponse`

  - ### register

    public Map<Class<?>,Collection<Class<?>>> register(Object callback, Object... callbacks)
    Specified by:
      `register` in interface `jakarta.ws.rs.container.AsyncResponse`